List of all members
clan::OcclusionQueryProvider Class Referenceabstract
clanDisplay Input

Occlusion query provider. More...

`#include <occlusion_query_provider.h>`

## Public Member Functions
Construction
virtual | ~OcclusionQueryProvider ()
Attributes
virtual bool | is_result_ready () const =0
| Returns true if the GPU is ready to return the result. More...
virtual int | get_result () const =0
| Returns the result of the occlusion query. More...
Operations
virtual void | begin ()=0
| Start occlusion query. More...
virtual void | end ()=0
| Finish occlusion query. More...
virtual void | create ()=0
| Create occlusion query object. More...

## Detailed Description

Occlusion query provider.

The documentation for this class was generated from the following file:

- occlusion_query_provider.h